| Home | Libraries | People | FAQ | More

## Struct template year_month_day_base

boost::date_time::year_month_day_base —

Allow rapid creation of ymd triples of different types.

## Synopsis

    template<typename YearType, typename MonthType, typename DayType>
    struct year_month_day_base {
      // types
      typedef YearType  year_type;
      typedef MonthType month_type;
      typedef DayType   day_type;

      // construct/copy/destruct
      year_month_day_base(YearType, MonthType, DayType);

      // public member functions

      YearType year;
      MonthType month;
      DayType day;
    };

## Description

### `year_month_day_base` construct/copy/destruct

1.     year_month_day_base(YearType year, MonthType month, DayType day);

   A basic constructor.

### `year_month_day_base` public member functions

| Copyright © 2001-2004 CrystalClear Software, Inc